Queries packages which is lexicographically similar to a given package.
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
queries
/
similar-packages
Queries packages which is lexicographically similar to a given package.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/queries/similar-packages \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/queries/similar-packages"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/queries/similar-packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"query_response": [
{
"age": "<string>",
"dependents_count": "<string>",
"edit_distance": "<string>",
"jaccard_distance": 123,
"name": "<string>"
}
],
"spec": {
"name": "<string>",
"edit_distance": 123,
"exact_match": true,
"repo": "ECOSYSTEM_UNSPECIFIED"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
QuerySimilarPackages implements the similar packages query requests.
Response
A successful response.
QuerySimilarPackages implements the similar packages query requests.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Aggregates the results of the query.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The UUID of the resource.
Was this page helpful?
⌘I
Queries packages which is lexicographically similar to a given package.
